 d3.csv('https://gist.githubusercontent.com/PriyaEnuganti/8387a91baaa2ecbe787fc22621ae5ef4/raw/ea9a1c790ff90c5ce83fe374904732acfe129e95/diabetes.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Glucose'), y: unpack(rows, 'BMI'), z: unpack(rows, 'BloodPressure'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'Glucose'), y: unpack(rows, 'BMI'), z: unpack(rows, 'BloodPressure'),
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  },
  scene: {
      xaxis: { title:"Glucose" },
      yaxis: { title: "BloodPressure" },
      zaxis: { title: "BMI" },
    },
 };
Plotly.newPlot('myDiv', data, layout);
});
